﻿#pragma strict

var sensitivity : float;
private var maxPosY : float = 4.9;
private var minPosY : float = -4.9;
private var maxPosX : float = 6.5;
private var minPosX : float = -6.5;
static var pointerPosX : float;
static var pointerPosZ : float;

function Start(){
	pointerPosX = gameObject.transform.position.x;
	pointerPosZ = gameObject.transform.position.z;
	sensitivity = sensitivity * 0.1;
}

function Update(){
	gameObject.transform.position.x = pointerPosX;
	gameObject.transform.position.z = pointerPosZ;
	
	if (GameScript.gameStatus == "Running") {
		Screen.showCursor = false;
		Screen.lockCursor = true;
		
		if (pointerPosZ + (Input.GetAxis("Mouse Y") * sensitivity) < maxPosY){
			pointerPosZ += (Input.GetAxis("Mouse Y") * sensitivity);
		}
		else if (pointerPosZ + (Input.GetAxis("Mouse Y") * sensitivity) > maxPosY){
			pointerPosZ = maxPosY;
		}
		
		if (pointerPosZ + (Input.GetAxis("Mouse Y") * sensitivity) < minPosY)
			pointerPosZ = minPosY;
		
		
		if (pointerPosX + (Input.GetAxis("Mouse X") * sensitivity) < maxPosX){
			pointerPosX += (Input.GetAxis("Mouse X") * sensitivity);
		}
		else if (pointerPosX + (Input.GetAxis("Mouse X") * sensitivity) > maxPosX){
			pointerPosX = maxPosX;
		}
		
		if (pointerPosX + (Input.GetAxis("Mouse X") * sensitivity) < minPosX)
			pointerPosX = minPosX;
	}
	else {
		Screen.showCursor = true;
		Screen.lockCursor = false;
	}
}