﻿#pragma strict

public var standingFrame = new Sprite[2];
public var dyingFrame = new Sprite[2];

private var speed : float = 1;
private var timer : float = 0;
private var deathTimer : float = 0;
private var flip : int = 0;

function Start(){
	speed = (speed * 0.1);
}

function Update(){
	timer += Time.deltaTime;
	
	if (GameScript.gameStatus == "Running")
		Standing();
	else if (GameScript.gameStatus == "GameOver")
		KillJoseph();
}

function Standing(){
	if (timer > speed){
		GetComponent(SpriteRenderer).sprite = standingFrame[flip];
		flip = 1 - flip;
		timer = 0;
	}
}

function KillJoseph () {
	deathTimer += Time.deltaTime;
	var frameSpeed = 0.5;
	
	if (deathTimer < frameSpeed * 1)
		GetComponent(SpriteRenderer).sprite = dyingFrame[0];
	else if (deathTimer > frameSpeed * 1 && deathTimer < frameSpeed * 2)
		GetComponent(SpriteRenderer).sprite = dyingFrame[2];
	else if (deathTimer > frameSpeed * 2 && deathTimer < frameSpeed * 3)
		GetComponent(SpriteRenderer).sprite = dyingFrame[3];
	else if (deathTimer > frameSpeed * 3 && deathTimer < frameSpeed * 4)
		GetComponent(SpriteRenderer).sprite = dyingFrame[4];
	else if (deathTimer > frameSpeed * 4 && timer > speed) {
		GetComponent(SpriteRenderer).sprite = dyingFrame[flip + 3];
		flip = 1 - flip;
		timer = 0;
	}
	
}